## EI Exponential Integral Function

Section: Mathematical Functions

### Usage

Computes the exponential integral function for real arguments. The `ei` function takes only a single argument

      y = ei(x)

where `x` is either a `float` or `double` array. The output vector `y` is the same size (and type) as `x`.

### Function Internals

The ei function is defined by the integral:

### Example

Here is a plot of the `ei` function over the range `[-5,5]`.

    --> x = linspace(-5,5);
    --> y = ei(x);
    --> plot(x,y); xlabel('x'); ylabel('ei(x)');

which results in the following plot.